#define ZACIATOK09 160.0
#define KONIEC09   172.8 
#define CFGNAME09  "data\\cfg\\valec.cfg"

class efekt_09 : public EFEKT
{
public:
   int  go(double t);
   int  init();
   int  load();
   int  free();
   int  update();
   void RenderValec(float f, float pos_x, float pos_y, float size, float inte);

   Scene3DS *sce;
   CameraTarget3DS *kam;
   Texture3DS *tex1;
   Texture3DS *tex2;
   float int1,int2;
   float f_counter1;
   float f_counter2;

   float begin3d;
   float end3d;

   char scene_name[30];
   char camera_name[30];  
   float cl_r,cl_g,cl_b;
   float vis,minvis;
};
